#!/bin/bash

HOST_NAME=abc_driver_ra

STR_SYSTEM_NAME=`cat /etc/issue |awk '{print $1}'`
STR_ARCH=`arch`

UOS_BROWSER_DEFAULT=browser
UOS_BROWSER_360=com.360.browser
UOS_BROWSER_QQ=qqbrowser
UOS_BROWSER_LOONG=lbrowser
UOS_BROWSER_QAX=qaxbrowser
UOS_BROWSER_CHROME=chromium

KYLIN_BROWSER_DEFAULT=browser
KYLIN_BROWSER_360=browser360
KYLIN_BROWSER_QQ=qqbrowser
KYLIN_BROWSER_LOONG=lbrowser
KYLIN_BROWSER_QAX=qaxbrowser
KYLIN_BROWSER_CHROME=chromium

uos_browser_array=(${UOS_BROWSER_DEFAULT} ${UOS_BROWSER_360} ${UOS_BROWSER_QQ} ${UOS_BROWSER_LOONG} ${UOS_BROWSER_QAX} ${UOS_BROWSER_CHROME});
kylin_browser_array=(${KYLIN_BROWSER_DEFAULT} ${KYLIN_BROWSER_360} ${KYLIN_BROWSER_QQ} ${KYLIN_BROWSER_LOONG} ${KYLIN_BROWSER_QAX} ${KYLIN_BROWSER_CHROME})


if [ "$STR_SYSTEM_NAME" = UnionTech ];then
	for name in $(ls /home)
	do
		for element in ${uos_browser_array[@]}
		do
			TARGET_DIR="/home/$name/.config/$element/NativeMessagingHosts"
			#echo $TARGET_DIR
			if [ ! -d $TARGET_DIR ];then
				mkdir -p $TARGET_DIR
			fi
			cp $HOST_NAME.json $TARGET_DIR
			chmod 777 "$TARGET_DIR/$HOST_NAME.json"
		done;
	done;

elif [ "$STR_SYSTEM_NAME" = Kylin ];then
	for name in $(ls /home)
	do
		for element in ${uos_browser_array[@]}
		do
			TARGET_DIR="/home/$name/.config/$element/NativeMessagingHosts"
			#echo $TARGET_DIR
			if [ ! -d $TARGET_DIR ];then
				mkdir -p $TARGET_DIR
			fi
			cp $HOST_NAME.json $TARGET_DIR
			chmod 777 "$TARGET_DIR/$HOST_NAME.json"
		done;
	done;
fi

#if [ "$STR_ARCH" = loongarch64 ]; then
#	BROWSER_NAME=lbrowser
#else
#	BROWSER_NAME=browser
#fi


